Skip to content

Return recent status-level responsibility history for one board status.

GET
/api/workspace/boards/{boardIdOrKey}/statuses/{boardStatusId}/responsibilities/history
curl --request GET \
--url https://example.com/api/workspace/boards/example/statuses/example/responsibilities/history
  • None
boardIdOrKey
required
string
boardStatusId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Snapshot history row for one status responsibility replacement.

object
Id
string
nullable
BoardStatusId
string
nullable
ChangedAtUtc
string format: date-time
ChangedByUserId
string
nullable
ChangedByUserName
string
nullable
BeforeSubjects
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
AfterSubjects
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"BeforeSubjects": [
{
"SubjectType": 0
}
],
"AfterSubjects": [
{
"SubjectType": 0
}
]
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
Array<object>
nullable

Snapshot history row for one status responsibility replacement.

object
Id
string
nullable
BoardStatusId
string
nullable
ChangedAtUtc
string format: date-time
ChangedByUserId
string
nullable
ChangedByUserName
string
nullable
BeforeSubjects
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
AfterSubjects
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"BeforeSubjects": [
{
"SubjectType": 0
}
],
"AfterSubjects": [
{
"SubjectType": 0
}
]
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data
Array<object>
nullable

Snapshot history row for one status responsibility replacement.

object
Id
string
nullable
BoardStatusId
string
nullable
ChangedAtUtc
string format: date-time
ChangedByUserId
string
nullable
ChangedByUserName
string
nullable
BeforeSubjects
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
AfterSubjects
Array<object>
nullable

Responsible subject configured for one runtime board status.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": [
{
"BeforeSubjects": [
{
"SubjectType": 0
}
],
"AfterSubjects": [
{
"SubjectType": 0
}
]
}
],
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}